Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005589OCamlOCaml typingpublic2012-04-12 18:402012-06-13 20:01
Reporterfrisch 
Assigned Tofrisch 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0005589: Detecting unused open in .mli files
DescriptionCurrently, "unused" declaration warnings are not applied for interfaces. At least for "unused open", it would make sense to do so.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0007376)
frisch (developer)
2012-04-18 14:23

Commit 12375 (trunk). This has the potential to break things, so I'm waiting for some feedback before closing this issue.
(0007444)
jm (reporter)
2012-05-21 05:54

this commit makes ocamlc on a .mli generating a .cmi whose control sum is different from previous ocamlc version; however ocamlopt still generates the same control sum; this difference between ocamlc and ocamlopt breaks programs like biniou+yojson.
(0007463)
frisch (developer)
2012-05-25 15:29

It seems that simply adding the "ignore (Includemod.signatures (initial_env()) sg sg);" changed the .cmi file generated by ocamlc. I don't really understand why (probably some internal ids).

Anyway, the same patch had to be applied to ocamlopt so that it can also detect unused open in .mli files. This is now committed (rev 12484), and this fixes the present issue.

- Issue History
Date Modified Username Field Change
2012-04-12 18:40 frisch New Issue
2012-04-12 18:40 frisch Status new => assigned
2012-04-12 18:40 frisch Assigned To => frisch
2012-04-18 14:23 frisch Note Added: 0007376
2012-05-21 05:54 jm Note Added: 0007444
2012-05-25 15:29 frisch Note Added: 0007463
2012-05-25 15:31 frisch Note View State: 0007463: private
2012-05-25 15:31 frisch Note View State: 0007463: public
2012-06-13 20:01 frisch Status assigned => resolved
2012-06-13 20:01 frisch Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker